DUEL_UTILITY_COMPARTMENT_ID_USED_COUNTERS = 999

UpdateUsedCountersChest = function()
-- use this in a COUNTERS_CHANGED trigger
-- updates a duel chest that saves the indexes of all the counters used during the duel
	local current_index = CounterTypeIndex()
	if current_index == nil or current_index == 0 then
		return
	end
	local i=0
	local chest = MTG():DuelDataChest():Get_Chest(DUEL_UTILITY_COMPARTMENT_ID_USED_COUNTERS)
	if chest == nil then
		chest = MTG():DuelDataChest():Make_Chest(DUEL_UTILITY_COMPARTMENT_ID_USED_COUNTERS)
	else
		local index = chest:Get_Int(i)
		while index ~= 0 do
			if index == current_index then
				return
			end
			i=i+1
			index = chest:Get_Int(i)
		end
	end
	chest:Set_Int(i, current_index)
end